<template>
    <div>
        <FileUploader 
            ref="uploader" 
            accepted-file-types="image/jpeg, image/png, application/pdf, text/plain"
            :maxFiles="15"
            :allow-multiple="true"
            :disabled="false"
            :ftp-path="data.ftpPath"
            :urlServer=data.urlServer
            :store-procedures-options="data.storeProceduresOptions"
            :addImagePreview="false"
            :addPdfPreview="false"
            :grid="true"
        />

        {{ data.content }}
    
        <input type="text" v-model="data.id" >
        <button @click="changeIdRelTabla()">Cambiar</button>
        <button @click="getAllFiles()">Test</button>
    </div>
</template>

<script setup lang="ts">
import { FileUploader } from "../../../src/index";
import { StoreProceduresOptions } from "../../../src/index";

// EXAMPLE 
import { ref, reactive, onMounted } from "vue";

const uploader = ref();
const emit = defineEmits(['changeBreadCrumbRoutes']);

var data = reactive({
    id: null,
    // urlServer: "http://localhost/admin/escaner/",
    urlServer: null,
    ftpPath: "upload/bicameral/notificaciones" as string, 
    storeProceduresOptions: new StoreProceduresOptions(
        "NOT_", // prefijo_escan
        31,     // id_tipo_doc_escan
        14,     // id_tabla
        4,      // id_tabla_reg
        1405    // id_rel_tabla_reg
    ) as StoreProceduresOptions,
    content: null
});

function changeIdRelTabla(){
    data.storeProceduresOptions.id_rel_tabla_reg = data.id;
}

async function getAllFiles(){
    var resultado = "";
    var file = uploader.value.getFiles()[0].file;
    var dataText = await file.text();
    var lines = dataText.trim().split('\n')
    
    lines.forEach(line => {
        let dni = line.substring(46, 54);
        let cbu = line.substring(136, 158);
        resultado += dni+";"+cbu+"|";
    });

    console.log(resultado);
    uploader.value.removeFile();
}

onMounted(() => {
    let routes = [
        { name: "inicio" },
        { name: "uploader" },
    ];
    emit("changeBreadCrumbRoutes", routes);
});

// let routes = [
//         { name: "uploader" },
//         { name: "test", params: {id: 1} },
//         { name: "breadcrumb" },
//         { name: "test", params: {id: 2} },
//     ]
    // emit("changeBreadCrumbRoutes", routes);

</script>

<style></style>
  